# Created by pyp2rpm-3.3.1
%global pypi_name backcall

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %mkrel 5
Summary:        Specifications for callback functions passed in to an API
Group:          Development/Python
License:        BSD
URL:            https://github.com/takluyver/backcall
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
backcallSpecifications for callback functions passed in to an APIIf your code
lets other people supply callback functions, it's important to specify the
function signature you expect, and check that functions support that. Adding
extra parameters later would break other peoples code unless you're
careful.backcall provides a way of specifying the callback signature using a
prototype function::...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
backcallSpecifications for callback functions passed in to an APIIf your code
lets other people supply callback functions, it's important to specify the
function signature you expect, and check that functions support that. Adding
extra parameters later would break other peoples code unless you're
careful.backcall provides a way of specifying the callback signature using a
prototype function::...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files backcall

%check
%{__python3} setup.py check

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst



%changelog
* Sat Dec 09 2023 papoteur <papoteur> 0.2.0-5.mga10
+ Revision: 2016101
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.2.0-4.mga9
+ Revision: 1822381
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.2.0-3.mga9
+ Revision: 1773344
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Wed Mar 17 2021 wally <wally> 0.2.0-2.mga9
+ Revision: 1704039
- rebuild for python 3.9

* Fri Oct 02 2020 kekepower <kekepower> 0.2.0-1.mga8
+ Revision: 1631585
- Update to version 0.2.0

* Sun Feb 16 2020 umeabot <umeabot> 0.1.0-6.mga8
+ Revision: 1531371
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 0.1.0-5.mga8
+ Revision: 1439695
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 tv <tv> 0.1.0-4.mga7
+ Revision: 1350558
- rebuild with python 3.7

* Mon Jan 07 2019 shlomif <shlomif> 0.1.0-3.mga7
+ Revision: 1350463
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1288257
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 0.1.0-1.mga7
+ Revision: 1222336
- imported package python-backcall

